org.springframework.jms.core

## Interface MessageCreator

-     public interface MessageCreator

  Creates a JMS message given a `Session`.

  The `Session` typically is provided by an instance of the `JmsTemplate` class.

  Implementations do not need to concern themselves with checked `JMSExceptions` (from the '`javax.jms`' package) that may be thrown from operations they attempt. The `JmsTemplate` will catch and handle these `JMSExceptions` appropriately.

  Since:
    1.1
  Author:
    Mark Pollack

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `createMessage(Session session)` Create a `Message` to be sent.

- - ### Method Detail

    - #### createMessage

          Message createMessage(Session session)
                                throws JMSException

      Create a `Message` to be sent.
      Parameters:
        `session` - the JMS `Session` to be used to create the `Message` (never `null`)
      Returns:
        the `Message` to be sent
      Throws:
        `JMSException` - if thrown by JMS API methods